Gestiono
Referencia de APITasks / Schedule

Create Schedule

← Back to full API reference
POST/v1/tasks/scheduleAuth required
  • Validated by Zod schema: postTaskSchedule.

Request details

Body fields

FieldRequiredDescription
taskIdYesType: number
startYesReference to unresolved identifier "z"
durationNoType: number
titleNoType: string
descriptionNoType: string
locationNoType: string
urlNoType: string
latNoType: number
lonNoType: number
statusNoType: string
submissionNoType: object
notificationConfigNoType: object
notificationConfig.proximityAlertsNoType: object
notificationConfig.proximityAlerts.enabledYesBoolean parser helper from common/utils.zBoolean
notificationConfig.proximityAlerts.intervalsNoType: arrayExample:
notificationConfig.proximityAlerts.intervals[]YesType: enumExample: 1_day
notificationConfig.proximityAlerts.emailNotificationsNoBoolean parser helper from common/utils.zBoolean
capacityNoType: number
isGroupEventNoBoolean parser helper from common/utils.zBoolean

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "taskId": 1,
  "start": "2026-01-01T00:00:00.000Z"
}

Sample response

json
{
  "success": true,
  "message": "Sample response placeholder for POST /v1/tasks/schedule"
}